---
title: MouseEvent.which
slug: Web/API/MouseEvent/which
tags:
  - API
  - DOM Events
  - MouseEvent
  - Non-standard
  - Property
  - Read-only
  - Reference
---
<p>{{APIRef("DOM Events")}}</p>

<p>{{Non-standard_header}}</p>

<p>The <strong><code>MouseEvent.which</code></strong> read-only property indicates which button was pressed on the mouse to trigger the event. The standard alternatives to this property are {{ domxref("MouseEvent.button") }} and {{ domxref("MouseEvent.buttons") }}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>buttonPressed</em> = <em>instanceOfMouseEvent</em>.which
</pre>

<h3 id="Return_value">Return value</h3>

<p>A number representing a given button:</p>

<ul>
 <li><code>0</code>: No button</li>
 <li><code>1</code>: Left button</li>
 <li><code>2</code>: Middle button (if present)</li>
 <li><code>3</code>: Right button</li>
</ul>

<p>For a mouse configured for left-handed use, the button actions are reversed. In this case, the values are read from right to left.</p>

<h2 id="Specifications">Specifications</h2>

<p>This is not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MouseEvent.which")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("MouseEvent") }}</li>
</ul>
